/**
 * Theme Name: Blocksy Child
 * Description: Blocksy Child theme
 * Author: Creative Themes
 * Template: blocksy
 * Text Domain: blocksy
 */ 

:root {
    --theme-font-family: "Inter", "Arial", sans-serif !important;
}
h1,h2,h3,h4,h5,h6 {
    --theme-font-family: "Inter", "Arial", sans-serif !important;
}
.wc-block-grid__product-title {
    --theme-font-family: "Inter", "Arial", sans-serif !important;
    font-weight: 700 !important;
}

.myhide {
    display: none;
}



/* Social Media Share Buttons für Bestellbestätigungs-Seite (E-Mail CSS ist inline in functions.php) */
.xpm-social-cta-banner {
    padding: 0;
    padding: 20px;
    background: #f0f1f3;
    border-radius: 5px;
    margin-bottom: 32px;
}

.xpm-social-cta-banner .img {
    background: url('assets/img/cta-img.jpg');
    height: 100%;
    width: 100px;
    border-radius: 5px 0 0 5px;
    background-size: 350%;
    background-position: 50% 20%;
}

.xpm-social-cta-banner .text p {
    max-width: 60%;
}

.xpm-social-cta-icons {
    display: flex;
    align-items: center;
    gap: 20px;
    font-size: 1em;
}
.xpm-social-cta-banner .icon-link {
    display: inline-flex;
    align-items: center;
    gap: 10px;
    border: 1px solid #ddd;
    border-radius: 40px;
    padding: 5px 15px 5px 5px;
}

.xpm-social-cta-banner .icon-link:link,
.xpm-social-cta-banner .icon-link:visited {
    color:var(--theme-palette-color-2);
}

.xpm-social-cta-banner .icon-link:hover {
    color:var(--theme-palette-color-5);
}
.xpm-social-cta-banner .icon-link .icon {
    height: 42px;
    width: 42px;
    border-radius: 40px;
    display: flex;
    justify-content: center;
}
.xpm-social-cta-banner .icon-link .icon svg {
    width: 14px;
    display: block;
}


/* LinkedIn */
.xpm-social-cta-banner .icon-link.linkedin:hover {
    color:var(--theme-palette-color-5);
    background: #0077B5;
    border-color: #0077B5;
}
.xpm-social-cta-banner .icon-link.linkedin .icon {
    background: #0077B5;
}
.xpm-social-cta-banner .icon-link.linkedin .icon svg {
    fill:#fff;
}
.xpm-social-cta-banner .icon-link.linkedin:hover .icon {
    background: #0077B5;
}
.xpm-social-cta-banner .icon-link.linkedin:hover .icon svg {
    color:var(--theme-palette-color-5);
    fill: #fff;
}

/* Whatsapp */
.xpm-social-cta-banner .icon-link.whatsapp:hover {
    color:var(--theme-palette-color-2);
    background: #25d366;
    border-color: #25d366;
}
.xpm-social-cta-banner .icon-link.whatsapp .icon {
    background: #25d366;
}
.xpm-social-cta-banner .icon-link.whatsapp .icon svg {
    fill: #075e54;
    width: 18px;
}

.xpm-social-cta-banner .icon-link.whatsapp:hover .icon {
    background: #25d366;
}
.xpm-social-cta-banner .icon-link.whatsapp:hover .icon svg {
    color:var(--theme-palette-color-5);
    fill: #075e54;
}

/* Mail */
.xpm-social-cta-banner .icon-link.mail:hover {
    color:var(--theme-palette-color-2);
    background: #ddd;
    border-color: #ddd;
}
.xpm-social-cta-banner .icon-link.mail .icon {
    background: #ddd;
}
.xpm-social-cta-banner .icon-link.mail .icon svg {
    width: 20px;
    fill: #222;
}
.xpm-social-cta-banner .icon-link.mail:hover .icon {
    background: #ddd;
}
.xpm-social-cta-banner .icon-link.mail:hover .icon svg {
    fill: #222;
}


.custom-product-listing-column {
    display: flex;
    flex-wrap: wrap;
    gap: 42px;
    border: 2px solid var(--theme-palette-color-1);
    border-radius: 8px;
    padding: 32px 24px 24px 24px;
    position: relative;
    transition-duration: 0.5s;
}
.custom-product-listing-column:hover {
    border-color: var(--theme-palette-color-1);
    transition-duration: 0.5s;
}
.xpm-tickets-listing-col-business .custom-product-listing-column {
    /*border-left:0;
    border-right: 0;*/
}
.column-label {
    background: var(--theme-palette-color-1);
    padding: 2px 16px;
    font-size: 1em;
    color: var(--wp--preset--color--palette-color-10);
    font-weight: 500;
    border-radius: 5px;
    margin: auto;
    top: -14px;
    position: absolute;
    left: 50%;
    transform: translate3d(-50%, 0, 0);
}
.custom-product-listing-column a {
    text-decoration: none;
}
.column-label p {
    display: block;
    margin: 0;
    white-space: nowrap;
}
.custom-product-listing-column:hover .column-label {
    opacity: 1;
}
.custom-product-listing-column .single-product {
    background: var(--theme-palette-color-6);
    padding: 32px;
    border-radius: 12px;
    min-height: 520px;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
}
.custom-product-listing-column .single-product.product-24 .price-image .price-text{
    width: 100%;
}
.custom-product-listing-column .single-product .title {

}
.custom-product-listing-column .single-product .title .mini-title {
    font-weight: 600;
    font-size: 16px;
    line-height: 1;
    display: block;
}
.custom-product-listing-column .single-product .title h2 {
    line-height: 1.2;
    font-size: 30px;
    font-weight: 700;
    letter-spacing: -1px;
}

.custom-product-listing-column .single-product img {
    width: 100%;
    height: auto;
}

.custom-product-listing-column .price-image {
    display: flex;
    justify-content: space-between;
}
.custom-product-listing-column .price-image .price {
    width: 100%;
    display: flex;
}
.custom-product-listing-column .price-image .price a {
    color: #000000;
}
.custom-product-listing-column .price-image .price-text {
    display: flex;
    font-size: 18px;
    font-weight: bold;
    color: #333;
    gap: 14px;
    margin: 0 10px 0 0;
    letter-spacing: -2px;
}
.custom-product-listing-column .price-image .price-text .woocommerce-Price-amount {
    font-size: 48px;
    font-weight: 600;
    line-height: 1;
}
.custom-product-listing-column .price-image .price-text .woocommerce-Price-amount .woocommerce-Price-currencySymbol {
    vertical-align: super;
    font-size: 20px;
}
.custom-product-listing-column .price-image del {
    color: #999;
    width: 50%;
}
.custom-product-listing-column .price-image del .woocommerce-Price-amount {
    font-size: 22px;
}
.custom-product-listing-column .price-image del .woocommerce-Price-amount .woocommerce-Price-currencySymbol {
    vertical-align: initial;
}
.custom-product-listing-column .price-image .saleprice {
    display: flex;
    flex-direction: column;
    width: 50%;
}
.custom-product-listing-column .price-image .saleprice del {
    width: 100%;
}
.custom-product-listing-column .early-bird {
    line-height: 1;
    position: relative;
    top: -2px;
}
.custom-product-listing-column .early-bird span {
    background: rgba(0,0,0,0.1);
    background: var(--theme-palette-color-1);
    color: var(--theme-palette-color-5);
    border-radius: 4px;
    display: inline;
    padding: 1px 5px;
    font-size: 0.8em;
    text-transform: uppercase;
    font-weight: 500;
}
.custom-product-listing-column .price-image .product-image {
    width: 30%;
}
.custom-product-listing-column .additional-text {
    font-weight: 500;
    font-size: 17px;
    margin-top: 16px;
    margin-bottom: 42px;
    letter-spacing: 0;
}
.custom-product-listing-column  .additional-text ul {
    margin: 0;
    padding-right: 0;
    padding-left: 20px;
}
.custom-product-listing-column  .additional-text ul li {
    list-style-type: "\2713\00a0\00a0";
    margin-bottom: 8px;
    line-height: 1.2;
}
.custom-product-listing-column .bottom {
    display: flex;
    flex-direction: column;
}
.custom-product-listing-column .wp-block-button__link {
    width: 100%;
    font-size: 18px;
    border-radius: 100px;
    padding: 16px 32px;
}
.custom-product-listing-column .button {
    display: inline-block;
    padding: 8px 15px;
    background-color: #0071a1;
    color: #fff;
    text-decoration: none;
    border-radius: 4px;
    transition: background-color 0.3s ease;
}

.custom-product-listing-column .button:hover {
    background-color: #005177;
}

.custom-product-listing-column .added_to_cart.wc-forward {
    margin: 12px auto auto auto;
    border-radius: 0;
    display: inline-block;
    border-bottom: 2px solid #333;
    color: #333;
    background: transparent;
    padding-left: 0;
    padding-right: 0;
    padding-bottom: 5px;
}

.xpm-tickets-listing-col-u35 .custom-product-listing-column,
.xpm-tickets-listing-col-weitere .custom-product-listing-column {
    border-color:#d9d8d8;
}
.xpm-tickets-listing-col-u35 .column-label,
.xpm-tickets-listing-col-weitere .column-label {
    background: #d9d8d8;
    color:var(--theme-palette-color-2);
}

.dhls-container {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.dhls-container .top h2 {
    line-height: 1.2;
    font-size: 32px;
    font-weight: 700;
    letter-spacing: -1px;
}
.dhls-container .top p {
    line-height: 1.1;
    font-size: 18px;
    font-weight: 500;
}
.dhls-container .bottom {

}

.custom-product-listing-column .single-product.dhls-container {
    width: 100%;
}


.custom-product-listing-column .single-product.accented {
    background: var(--theme-palette-color-1);
    color: var(--theme-palette-color-5);
}
.custom-product-listing-column .single-product.accented h2 {
    color: var(--theme-palette-color-5);
}
.custom-product-listing-column .single-product.accented a,
.custom-product-listing-column .single-product.accented a:hover {
    color: var(--theme-palette-color-5);
}
.custom-product-listing-column .single-product.accented .wp-block-button__link {
    background: var(--theme-palette-color-5);
    color: var(--theme-palette-color-1);
}
.custom-product-listing-column .single-product.accented .wp-block-button__link:hover {
    background: var(--theme-palette-color-4);
    color: var(--theme-palette-color-5);
}

.custom-product-listing-column .single-product.accented-2 {
    background: #cecece;
    color: var(--theme-palette-color-2);
}
.custom-product-listing-column .single-product.accented-2 h2 {
    color: var(--theme-palette-color-2);
}
.custom-product-listing-column .single-product.accented-2 a,
.custom-product-listing-column .single-product.accented-2 a:hover {
    color: var(--theme-palette-color-2);
}
.custom-product-listing-column .single-product.accented-2 .wp-block-button__link {
    background: var(--theme-palette-color-2);
    color: var(--theme-palette-color-5);
}
.custom-product-listing-column .single-product.accented-2 .wp-block-button__link:hover {
    background: var(--theme-palette-color-4);
    color: var(--theme-palette-color-5);
}


.custom-product-listing-column .single-product.highlighted {
    background: var(--theme-palette-color-2);
    color: var(--theme-palette-color-5);
}
.custom-product-listing-column .single-product.highlighted h2 {
    color: var(--theme-palette-color-5);
}
.custom-product-listing-column .single-product.highlighted .price-image .price a {
    color: var(--theme-palette-color-5);
}
.custom-product-listing-column .single-product.highlighted .price-image .price a:hover {
    color: var(--theme-palette-color-5);
}
.custom-product-listing-column .single-product.highlighted .price-image .price-text {
    color: var(--theme-palette-color-5);
}
.custom-product-listing-column .single-product.highlighted .price-image del {
    color: var(--theme-palette-color-5);
    opacity: 0.65;
}
/*.custom-product-listing-column .single-product.highlighted .wp-block-button__link {
    background: var(--theme-palette-color-5);
    color: var(--theme-palette-color-1);
}*/
.custom-product-listing-column .single-product.highlighted .wp-block-button__link:hover {
    background: var(--theme-palette-color-7);
    color: var(--theme-palette-color-1);
}
.custom-product-listing-column .single-product.highlighted .added_to_cart.wc-forward {
    border-color:#fff;
    color: #fff;
}


.cmplz-cookiebanner .cmplz-categories .cmplz-category .cmplz-category-header .cmplz-always-active {
    color: #97f997;
}

.xpm-quote-section {
    justify-content: center;
}
@media screen and (max-width: 1280px) {
    .custom-product-listing-column .price-image .price-text {
        letter-spacing: -3px;
    }
    .custom-product-listing-column .single-product .title h2 {
        font-size: 24px;
    }

    .custom-product-listing-column .price-image .price-text .woocommerce-Price-amount {
        font-size: 42px;
    }
    .custom-product-listing-column .additional-text {
        font-size: 14px;
    }
    .custom-product-listing-column .wp-block-button__link {
        font-size: 14px;
    }
}

@media screen and (max-width: 992px) {
    .tickets-container.wp-block-columns {
        flex-wrap: wrap !important;
        /*gap: 0 !important;*/
    }
    .tickets-container.wp-block-columns > .wp-block-column {
        flex-basis: 48% !important;
        flex-grow: 0 !important;
    }
    .custom-product-listing-column .single-product .title h2 {
        font-size: 27px;
    }

    .tickets-container.wp-block-columns > .wp-block-column.xpm-tickets-listing-col-weitere {
        flex-basis: 100% !important;
    }
    .tickets-container.wp-block-columns > .wp-block-column.xpm-tickets-listing-col-weitere .custom-product-listing-column {
        flex-wrap: nowrap;
        gap:54px;
    }
    .tickets-container.wp-block-columns > .wp-block-column.xpm-tickets-listing-col-weitere .custom-product-listing-column .single-product {
        width: 50%;
    }

    .tickets-container.wp-block-columns > .wp-block-column.xpm-tickets-listing-col-business .custom-product-listing-column .single-product {
        width: 100%;
    }

    /*.tickets-container.wp-block-columns {
        flex-wrap: nowrap !important;
      }
    .tickets-container.wp-block-columns:not(.is-not-stacked-on-mobile) > .wp-block-column[style*="flex-basis"] {
        flex-grow: 0;
    }*/
}
@media screen and (max-width: 768px) {
    .tickets-container.wp-block-columns > .wp-block-column {
        flex-basis: 100% !important;
        flex-grow: 0 !important;
        margin-bottom: 1.5em;
    }
    .tickets-container.wp-block-columns > .wp-block-column.xpm-tickets-listing-col-weitere .custom-product-listing-column {
        flex-wrap: wrap;
        gap: 1.5em;
    }
    .tickets-container.wp-block-columns > .wp-block-column.xpm-tickets-listing-col-weitere .custom-product-listing-column .single-product {
        width: 100%;
    }
    .custom-product-listing-column .wp-block-button__link {
        font-size: 16px;
    }
    .xpm-tickets-cover {
        padding-top: 0.5em !important;
    }
    .xpm-tickets-hero {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }
    .custom-product-listing-column {
        /*padding: 0;*/
    }
    .xpm-tickets-listing-col-u35 {
        order: 2;
    }
    .xpm-tickets-listing-col-business {
        order: 1;
    }
    .xpm-tickets-listing-col-weitere {
        order: 3;
    }
    .custom-product-listing-column .price-image .price-text {
        letter-spacing: -3px;
    }
}